Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.jsp
Class JavaPage

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--com.caucho.jsp.Page
                  |
                  +--com.caucho.jsp.JavaPage

All Implemented Interfaces:
  CauchoPage, HttpJspPage, JspPage, java.io.Serializable, Servlet, ServletConfig

public abstract class JavaPage
extends Page
implements HttpJspPage

See Also:
  Serialized Form

Fields inherited from class com.caucho.jsp.Page
`alwaysModified, contentType, updateInterval`

Constructor Summary
`JavaPage()`

Method Summary
`abstract void` | `_jspService(HttpServletRequest request, HttpServletResponse response)`
`void` | `destroy()` Called when the servlet shuts down.
`java.lang.String` | `getServletInfo()` Returns an information string about the servlet.
`void` | `init(ServletConfig config)` Initialize the servlet.
`void` | `jspDestroy()`
`void` | `jspInit()`
`void` | `service(ServletRequest request, ServletResponse response)` Service a request.
`void` | `subservice(CauchoRequest request, CauchoResponse response, java.util.HashMap properties)`

Methods inherited from class com.caucho.jsp.Page
`_caucho_addCacheDepend, _caucho_addDepend, _caucho_addDepend, _caucho_getLineMap, _caucho_init, _caucho_isModified, _caucho_lastModified, _caucho_setAlwaysModified, _caucho_setCacheable, _caucho_setContentType, getLastModified, init, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.Servlet
`getServletConfig`

Constructor Detail

### JavaPage

    public JavaPage()

Method Detail

### init

    public void init(ServletConfig config)
              throws ServletException

  Description copied from interface: `Servlet`
  Initialize the servlet. ServletConfig contains servlet parameters from the configuration file. GenericServlet will store the config for later use.
  Specified by:
    `init` in interface `Servlet`
  Overrides:
    `init` in class `GenericServlet`
  Following copied from interface: `javax.servlet.Servlet`
  Parameters:
    `config` - information from the configuration file.

### jspInit

    public void jspInit()

  Specified by:
    `jspInit` in interface `JspPage`

### subservice

    public final void subservice(CauchoRequest request,
                                 CauchoResponse response,
                                 java.util.HashMap properties)
                          throws ServletException,
                                 java.io.IOException

  Overrides:
    `subservice` in class `Page`

### service

    public void service(ServletRequest request,
                        ServletResponse response)
                 throws ServletException,
                        java.io.IOException

  Description copied from interface: `Servlet`
  Service a request. Since the servlet engine is multithreaded, many threads may execute `service` simultaneously. Normally, `req` and `res` will actually be `HttpServletRequest` and `HttpServletResponse` classes.
  Specified by:
    `service` in interface `Servlet`
  Overrides:
    `service` in class `Page`
  Following copied from interface: `javax.servlet.Servlet`
  Parameters:
    `req` - request information. Normally servlets will cast this to `HttpServletRequest`
    `res` - response information. Normally servlets will cast this to `HttpServletRequest`

### _jspService

    public abstract void _jspService(HttpServletRequest request,
                                     HttpServletResponse response)
                              throws ServletException,
                                     java.io.IOException

  Specified by:
    `_jspService` in interface `HttpJspPage`

### getServletInfo

    public java.lang.String getServletInfo()

  Description copied from interface: `Servlet`
  Returns an information string about the servlet.
  Specified by:
    `getServletInfo` in interface `Servlet`
  Overrides:
    `getServletInfo` in class `GenericServlet`

### destroy

    public final void destroy()

  Description copied from interface: `Servlet`
  Called when the servlet shuts down. Servlets can use this to close database connections, etc. Servlets generally only shutdown when the application closes.
  Specified by:
    `destroy` in interface `Servlet`
  Overrides:
    `destroy` in class `GenericServlet`

### jspDestroy

    public void jspDestroy()

  Specified by:
    `jspDestroy` in interface `JspPage`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD